get
https://{xentralId}.xentral.biz/api/v1/taxRates/
This endpoint returns the tax rate for a given country code. The country code is a two-letter ISO 3166-1 alpha-2 code. The response is a list of applicable tax rates for the given country code. To get a more granular response you can use the query parameters to filter the response, for example by product or project.
The applicable tax rate is determined in the following order:
- If a custom tax rate is defined for the product, it is returned.
- If a tax rate is defined in the taxRates module for that country, it is returned.
- If a tax rate is defined in the taxRates module for the project, or a generic tax Rate without country or project it is returned.
- If a tax rate is defined for the applicable project it is returned.
- If a tax rate is defined for the system it is returned.
- If no tax rate is defined anywhere we will return an empty list.
To see which step was used to determine the tax rate, the source field is returned in the response.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
403Unable to authorize the client
406Requested resource representation does not exist.
429Too many API calls made.